Simple sinatra extension to automatically recompile all your sass/scss files everytime your application starts

Install with
```ruby
gem install sinatra-autosass
```

For classic applications 

```ruby
require 'sinatra'
require 'sinatra/autosass'
set :options, 
              {
                :css_location => 'public/css',
                :template_location => 'public/sass',
                :syntax => :sass,
                :cache => true,
                :cache_location => '.tmp/sass-cache'
              }

#application code
```

For modular applications 

```ruby
require 'sinatra/base'
require 'sinatra/autosass'
class MyApp < Sinatra::Application
  register Sinatra::AutoSass
  set :options, 
              {
                :css_location => 'public/css',
                :template_location => 'public/sass',
                :syntax => :sass,
                :cache => true,
                :cache_location => '.tmp/sass-cache'
              }
  
  #application code
  
end
```
See all available options here:
http://sass-lang.com/documentation/file.SASS_REFERENCE.html#options


Licensed under MIT.

